
%global python3_pkgversion 3.11
%global pypi_name requests-toolbelt
%global srcname requests_toolbelt
%global pypi_version 1.0.0

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        1%{?dist}
Summary:        A utility belt for advanced users of python-requests

# Check if the automatically generated License and its spelling is correct for Fedora
# https://docs.fedoraproject.org/en-US/packaging-guidelines/LicensingGuidelines/
License:        Apache-2.0
URL:            https://toolbelt.readthedocs.io/
Source:         %{pypi_source %pypi_name}

BuildArch:      noarch


BuildRequires:  python%{python3_pkgversion}
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-rpm-macros
BuildRequires:  python%{python3_pkgversion}-pip
BuildRequires:  python%{python3_pkgversion}-setuptools >= 64
BuildRequires:  python%{python3_pkgversion}-wheel
BuildRequires:  pyproject-rpm-macros


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'requests-toolbelt' generated automatically by pyp2spec.}

%description %_description

%package -n     python%{python3_pkgversion}-requests-toolbelt
Summary:        %{summary}
Requires:       python%{python3_pkgversion}-requests >= 2.0.1
Requires:       python%{python3_pkgversion}-requests < 3.0.0

%description -n python%{python3_pkgversion}-requests-toolbelt %_description


%prep
%autosetup -p1 -n requests-toolbelt-%{version}


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%files -n python%{python3_pkgversion}-requests-toolbelt -f %{pyproject_files}
%doc README.rst
%license LICENSE
%{python3_sitelib}/%{srcname}
%{python3_sitelib}/%{srcname}-%{pypi_version}.dist-info


%changelog
* Thu Feb 20 2025 Carlos Heiras <carlos.heiras@oracle.com> - 1.0.0-1
- Initial release
